Bug 1265816 - Manila Puppet Module Expects Glance Endpoint to Be Available for Upload of Service Image
Manila Puppet Module Expects Glance Endpoint to Be Available for Upload of Se...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
x86_64 Linux
unspecified Severity high
: ---
: Kilo
Assigned To: Martin Magr
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 16:26 EDT by Dustin Schoenbrun
Modified: 2016-05-19 11:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:48:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Packstack Answers File (45.11 KB, text/plain)
2015-09-23 16:26 EDT, Dustin Schoenbrun
no flags Details
OpenStack Setup Log (6.88 KB, text/plain)
2015-09-23 16:27 EDT, Dustin Schoenbrun
no flags Details
Manila Puppet Logs (9.41 KB, text/plain)
2015-09-23 16:28 EDT, Dustin Schoenbrun
no flags Details
Glance API Core Dump (6.13 KB, text/plain)
2015-09-24 10:47 EDT, Dustin Schoenbrun
no flags Details
Glance Registry Core Dump (22.25 KB, text/plain)
2015-09-24 10:49 EDT, Dustin Schoenbrun
no flags Details
Audit Log (3.35 MB, text/plain)
2015-09-24 11:54 EDT, Dustin Schoenbrun
no flags Details

  None (edit)
Description Dustin Schoenbrun 2015-09-23 16:26:42 EDT
Created attachment 1076296 [details]
Packstack Answers File

Description of problem:
During a packstack install of RDO Trunk (the Liberty prerelease) the Manila Puppet Module failed waiting for the Glance service to become available. Manila uses Glance to upload the service image required for the generic share driver to function. It appears that the issue is that packstack will wait until all services are installed before creating the API endpoints in Keystone. This causes the packstack installer to fail because the Glance service is unavailable.

Version-Release number of selected component (if applicable):
openstack-packstack-puppet-2015.2-dev1636.g3015bff.fc22.noarch
openstack-packstack-2015.2-dev1636.g3015bff.fc22.noarch

How reproducible:
Looks like every time you attempt to install Manila with packstack this will occur.

Steps to Reproduce:
1. Install a server with Fedora 22 x64
2. Create a new user called "stack" and assign password.
3. Add stack user to sudoers for passwordless access.
4. Add Delorean repositories
5. Install openstack-packstack (sudo yum install -y openstack-packstack)
6. Use packstack to generate an answer file (packstack --gen-answer-file=answer.txt)
7. Change the value of "CONFIG_MANILA_INSTALL" to be "y".
8. Use the answer file to install RDO with packstack (packstack --answer-file=answer.txt)

Actual results:
The Manila Puppet module fails due to the Glance endpoint not being available and the Packstack RDO install halts and fails.

Expected results:
The Manila Puppet module shall complete successfully and the Packstack RDO install shall complete successfully.

Additional info:
See attachments for the openstack-setup.log, Manila Puppet Log, and the answers file used.
Comment 1 Dustin Schoenbrun 2015-09-23 16:27 EDT
Created attachment 1076297 [details]
OpenStack Setup Log
Comment 2 Dustin Schoenbrun 2015-09-23 16:28 EDT
Created attachment 1076299 [details]
Manila Puppet Logs
Comment 3 Javier Peña 2015-09-24 04:41:27 EDT
This should be fixed by https://review.openstack.org/194114 . Actually, I can't reproduce it in my test setup (with CentOS7).

Can you check if Glance is working in your test environment when this error happens? If might be a Glance problem rather than a Manila one.
Comment 4 Dustin Schoenbrun 2015-09-24 10:47 EDT
Created attachment 1076581 [details]
Glance API Core Dump

It looks like the Glance API service and the Glance Registry are SegFaulting when they try to start up. That would certainly explain why Manila couldn't find the API endpoint. Attached is the Glance API core dump and I will also attach the Glance Registry Core Dump in the next comment.
Comment 5 Dustin Schoenbrun 2015-09-24 10:49 EDT
Created attachment 1076583 [details]
Glance Registry Core Dump

And here's the Glance Registry Core Dump.
Comment 6 Lon Hohberger 2015-09-24 11:05:07 EDT
Please run in permissive and attach /var/log/audit/audit.log - it sounds like there's an execmem issue which has come up due to use of python-cryptography and cffi.
Comment 7 Dustin Schoenbrun 2015-09-24 11:54 EDT
Created attachment 1076601 [details]
Audit Log

Here's the audit log from the packstack runs. It should contain the runs with both enforcing and permissive SELinux settings.
Comment 9 Chandan Kumar 2016-05-19 11:48:08 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.